package Love::Plugin;

use strict;

sub love {
    my ($ctx, $args) = @_;

    my $out = '';
    for (my $i = 0; $i < $args->{count}; $i++) {
        $out .= 'I love ' . $args->{message} . '.';
        if ($i != $args->{count} - 1) {
            $out .= $args->{glue};
        }
    }
    return $out;
}

sub love_block {
    my ($ctx, $args, $cond) = @_;

    my $res = '';
    for (my $i = 0; $i < $args->{count}; $i++) {
        my $out = $ctx->slurp($args, $cond);
        $res .= 'I love ' . $out . '.';
        if ($i != $args->{count} - 1) {
            $res .= $args->{glue};
        }
    }
    return $res;
}

1;
